// Библиотека содержит набор элементарных процедур и функций для рисования
// на дисплее (нарисовать точку, нарисовать линию, круг, прямоугольник и т.д.). 

#define cSCWidth	132
#define cSCHeight	176


// нарисовать прямоугольник
void ls020_rectangle8(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t color)
{
  ls020_set_window(x1,y1,x2,y2);
  for (uint8_t y=y1;y<=y2;y++)
    for (uint8_t x=x1;x<=x2;x++)
      ls020_wrdata8(color);
}

// закрасить экран цветом
void ls020_fillscreen(uint8_t color)
{
 ls020_rectangle8(0,0,cSCHeight,cSCWidth,color);
}


// рисовать страйт
void ls020_prm_sprite(char * data)
{

unsigned long count=0;
unsigned char sx=0, sy=0, x=0,y=0, cmp=0;
x=pgm_read_byte(&(*data++));
y=pgm_read_byte(&(*data++));
sx=pgm_read_byte(&(*data++));
sy=pgm_read_byte(&(*data++));
cmp=pgm_read_byte(&(*data++));
count=pgm_read_byte(&(*data++))+pgm_read_byte(&(*data++))*256-1;
ls020_set_window(176-x-sx-1,y,176-x+sx-sx-1,y+sy); 
  while (count!=0)
  {
   ls020_wrdata8(pgm_read_byte(&(*data++)));
   count--;
  }
}
